Subject: Feature Request: Option to build Emacs without byte-compilation.

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 15 Jul 2019 16:10:57 -0700

There is an open question that I posed on emacs.stackexchange.com nearly two years ago:

https://emacs.stackexchange.com/questions/34362/how-to-build-emacs-without-byte-compiling-lisp-files

The current build time for the master branch is over 30 minutes, and seems like approximately 45 minutes, but I have not timed it exactly.  A command-line option to skip byte-compilation when building Emacs would greatly enhance the productivity of people contributing to the development of Emacs.  There are also threads that I have seen in the past couple of years looking for ways to quickly build Emacs for something called "unit testing":

https://emacs.stackexchange.com/questions/14043/build-a-minimal-emacs-25-for-unit-testing

I would suggesting creating a build option such as "--byte-compile=no" or "--without-byte-compile".